diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 96322ca..4e132c8 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -2310,7 +2310,13 @@ describeOneTableDetails(const char *schemaname,
 			printTableAddFooter(&cont, buf.data);
 		}
 
-		if ((tableinfo.relkind == 'r' || tableinfo.relkind == 'm') &&
+		/*
+		 * Show the table's replica identity, if nondefault, not USING INDEX,
+		 * and not a system catalog. If configured using an index, it will
+		 * display the identity when displaying the selected index above.
+		 */
+		if (strcmp("schemaname", "pg_catalog") != 0 &&
+			(tableinfo.relkind == 'r' || tableinfo.relkind == 'm') &&
 			tableinfo.relreplident != 'd' && tableinfo.relreplident != 'i')
 		{
 			const char *s = _("Replica Identity");
